Class | Tk::Iwidgets::Canvasprintbox
In: | tk/lib/tkextlib/iwidgets/canvasprintbox.rb
Parent: | Tk::Itk::Widget

### Methods

get_output print refresh set_canvas stop

### Constants

TkCommandNames | = | ['::iwidgets::canvasprintbox'.freeze].freeze
WidgetClassName | = | 'Canvasprintbox'.freeze

### Public Instance methods

get_output()

[Source]

    # File tk/lib/tkextlib/iwidgets/canvasprintbox.rb, line 31
      def get_output
        tk_call(@path, 'getoutput')
      end

print()

[Source]

    # File tk/lib/tkextlib/iwidgets/canvasprintbox.rb, line 35
      def print
        bool(tk_call(@path, 'print'))
      end

refresh()

[Source]

    # File tk/lib/tkextlib/iwidgets/canvasprintbox.rb, line 39
      def refresh
        tk_call(@path, 'refresh')
        self
      end

set_canvas(win)

[Source]

    # File tk/lib/tkextlib/iwidgets/canvasprintbox.rb, line 44
      def set_canvas(win)
        tk_call(@path, 'setcanvas', win)
        self
      end

stop()

[Source]

    # File tk/lib/tkextlib/iwidgets/canvasprintbox.rb, line 49
      def stop
        tk_call(@path, 'stop')
        self
      end

[Validate]